The files debian/watch and debian/copyright do most of the work, so basically
`gbp import-orig --uscan` is enough for a light update.

But upstream's zipfile doesn't contain the scripts/ directory where the files
to build documentation are ; that's why some of them were added by hand into
the debian/upstream_scripts/ directory, and there doxygen.cfg was lightly
modified.

Here is the diff:
--- upstream/doxygen.cfg		2021-11-16 22:50:27.004354850 +0100
+++ debian/upstream_scripts/doxygen.cfg	2021-11-16 22:28:08.152462803 +0100
@@ -45,14 +45,14 @@
 # exceed 55 pixels and the maximum width should not exceed 200 pixels.
 # Doxygen will copy the logo to the output directory.
 
-PROJECT_LOGO           = irrlichtlogo.png
+PROJECT_LOGO           = debian/upstream_scripts/irrlichtlogo.png
 
 # The OUTPUT_DIRECTORY tag is used to specify the (relative or absolute)
 # base path where the generated documentation will be put.
 # If a relative path is entered, it will be relative to the location
 # where doxygen was started. If left blank the current directory will be used.
 
-OUTPUT_DIRECTORY       = ../../../doctemp
+OUTPUT_DIRECTORY       = doc
 
 # If the CREATE_SUBDIRS tag is set to YES, then doxygen will create
 # 4096 sub-directories (in 2 levels) under the output directory of each output
@@ -629,8 +629,7 @@
 # directories like "/usr/src/myproject". Separate the files or directories
 # with spaces.
 
-INPUT                  = ../../../include/ \
-                         tut.txt
+INPUT                  = include/ doc/tut.txt
 
 # This tag can be used to specify the character encoding of the source files
 # that doxygen parses. Internally doxygen uses the UTF-8 encoding, which is
@@ -648,8 +647,7 @@
 # *.hxx *.hpp *.h++ *.idl *.odl *.cs *.php *.php3 *.inc *.m *.mm *.dox *.py
 # *.f90 *.f *.for *.vhd *.vhdl
 
-FILE_PATTERNS          = *.h \
-                         *.cpp
+FILE_PATTERNS          = *.h *.cpp
 
 # The RECURSIVE tag can be used to turn specify whether or not subdirectories
 # should be searched for input files as well. Possible values are YES and NO.
@@ -710,7 +708,7 @@
 # directories that contain image that are included in the documentation (see
 # the \image command).
 
-IMAGE_PATH             = ../../../media
+IMAGE_PATH             = media
 
 # The INPUT_FILTER tag can be used to specify a program that doxygen should
 # invoke to filter for each input file. Doxygen will invoke the filter program
@@ -865,7 +863,7 @@
 # each generated HTML page. If it is left blank doxygen will generate a
 # standard footer.
 
-HTML_FOOTER            = footer.html
+HTML_FOOTER            = debian/upstream_scripts/footer.html
 
 # The HTML_STYLESHEET tag can be used to specify a user-defined cascading
 # style sheet that is used by each HTML page. It can be used to
